// Изменение ширины колонок таблицы

var startX = 0;
var startWidth = 0;

// Старт изменения размера колонки (начали двигать зажатую мышь)
function ColumnResize_start() {
	startX = event.clientX;
	var cell_idx = event.srcElement.cellIndex - 1;
	startWidth = idHeaderRow.cells[cell_idx].offsetWidth;
	idHeaderRow.cells[cell_idx].style.background = 'infobackground';
	document.onmousemove = function() {ColumnResize_move(cell_idx)};
	document.onmouseup = function() {ColumnResize_end(cell_idx)};
}

// Изменение размера колонки (двигаем зажатую мышь)
function ColumnResize_move(i){
	if (event.button <= 1) {
		var column_width = startWidth + event.clientX - startX;
		if (column_width > 10) idHeaderRow.cells[i].style.width = column_width;
	}
}

// Конец изменения размера колонки (отпустили мышь)
function ColumnResize_end(i) {
	idHeaderRow.cells[i].style.background = '';
	document.onmousemove=null;
	document.onmouseup=null;
	column_width[i/2] = idHeaderRow.cells[i].offsetWidth;
	INI.main.column_width = column_width.join(',');
}
